Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class SenderInfo

    java.lang.Object
      portlets.compoze.groupware.mail.SenderInfo

All Implemented Interfaces:
  java.io.Serializable

public class SenderInfo
extends java.lang.Object
implements java.io.Serializable

This class represents sender information.

See Also:
  Serialized Form

Constructor Summary
`SenderInfo()` Constructor.

Method Summary
`java.lang.String` | `getDisplayAddress()` Gets the sender display address.
`java.lang.String` | `getDisplayName()` Sets the display name.
`java.lang.String` | `getEmailAddress()` Gets the email address.
`java.lang.String` | `getImAddress()` Gets the Im address.
`java.lang.String` | `getName()` Gets the name.
`java.lang.String` | `getSenderName()` Gets the sender name.
`void` | `setDisplayAddress(java.lang.String sDisplayAddress)` Sets the sender display address.
`void` | `setEmailAddress(java.lang.String sEmailAddress)` Sets the email address.
`void` | `setImAddress(java.lang.String sImAddress)` Sets the Im address.
`void` | `setName(java.lang.String sName)` Sets the name.
`void` | `setSenderName(java.lang.String sSenderName)` Sets the sender name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SenderInfo

    public SenderInfo()

  Constructor.

Method Detail

### getDisplayAddress

    public java.lang.String getDisplayAddress()

  Gets the sender display address.

  Returns:
    the sender display address

### setDisplayAddress

    public void setDisplayAddress(java.lang.String sDisplayAddress)

  Sets the sender display address.

  Parameters:
    `sDisplayAddress` - the sender display address

### getImAddress

    public java.lang.String getImAddress()

  Gets the Im address.

  Returns:
    the Im address or `null` for none

### setImAddress

    public void setImAddress(java.lang.String sImAddress)

  Sets the Im address.

### getName

    public java.lang.String getName()

  Gets the name.

  Returns:
    the name or `null` for none

### setName

    public void setName(java.lang.String sName)

  Sets the name.

  Parameters:
    `sName` - the name or `null` for none

### getSenderName

    public java.lang.String getSenderName()

  Gets the sender name.

  Returns:
    the sender name or `null` for none

### setSenderName

    public void setSenderName(java.lang.String sSenderName)

  Sets the sender name.

  Parameters:
    `sSenderName` - the sender name or `null` for none

### getEmailAddress

    public java.lang.String getEmailAddress()

  Gets the email address.

  Returns:
    the email address or `null` for none

### setEmailAddress

    public void setEmailAddress(java.lang.String sEmailAddress)

  Sets the email address.

  Parameters:
    `sEmailAddress` - the email address or `null` for none

### getDisplayName

    public java.lang.String getDisplayName()

  Sets the display name.

  Returns:
    the display name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.